{
  inputs = {
    # ...
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flatpaks.url = "github:GermanBread/declarative-flatpak/dev";
    flatpaks.inputs.nixpkgs.follows = "nixpkgs";
    hyprland.url = "github:hyprwm/Hyprland";
    hyprland.inputs.nixpkgs.follows = "nixpkgs";
    agenix.url = "github:ryantm/agenix";
    agenix.inputs.nixpkgs.follows = "nixpkgs";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { nixpkgs, flatpaks, agenix, home-manager, ... } @ inputs: {
    nixosConfigurations.insertpclinux = nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      modules = [
        flatpaks.nixosModules.default
        ./configuration.nix
        ./special/insertpclinux.nix
        agenix.nixosModules.default
        home-manager.nixosModules.home-manager
          {
            home-manager.useGlobalPkgs = true;
            home-manager.useUserPackages = true;
            home-manager.users.insert = import /home/insert/Documents/nixos/home.nix;
          }
      ];
    };

    nixosConfigurations.insertlaptop = nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs; };
      modules = [
        flatpaks.nixosModules.default
        ./configuration.nix
        ./special/insertlaptop.nix
        agenix.nixosModules.default
        home-manager.nixosModules.home-manager
          {
            home-manager.useGlobalPkgs = true;
            home-manager.useUserPackages = true;
            home-manager.users.insert = import /home/insert/Documents/nixos/home.nix;
          }
      ];
    };
  };
 }
 
