{ inputs, config, lib, pkgs, ... }:
#Yes I manage my home files like this, yes I am insane
#Credit to anyone I got these config files from, I would add it here but its been months
{
  home.file.".config/qt5ct/colors/Catppuccin-Frappe.conf" = {
  text = ''[ColorScheme]
active_colors=#ffc6d0f5, #ff292c3c, #ffa5adce, #ff949cbb, #ff51576d, #ff737994, #ffc6d0f5, #ffc6d0f5, #ffc6d0f5, #ff303446, #ff292c3c, #ff838ba7, #ff8caaee, #ff303446, #ff8caaee, #ffe78284, #ff303446, #ffc6d0f5, #ff232634, #ffc6d0f5, #80838ba7
disabled_colors=#ffa5adce, #ff292c3c, #ffa5adce, #ff949cbb, #ff51576d, #ff737994, #ffa5adce, #ffa5adce, #ffa5adce, #ff303446, #ff292c3c, #ff838ba7, #ff626880, #ffb5bfe2, #ff8caaee, #ffe78284, #ff303446, #ffc6d0f5, #ff232634, #ffc6d0f5, #80838ba7
inactive_colors=#ffc6d0f5, #ff292c3c, #ffa5adce, #ff949cbb, #ff51576d, #ff737994, #ffc6d0f5, #ffc6d0f5, #ffc6d0f5, #ff303446, #ff292c3c, #ff838ba7, #ff414559, #ffa5adcb, #ff8caaee, #ffe78284, #ff303446, #ffc6d0f5, #ff232634, #ffc6d0f5, #80838ba7'';
  }; 


  home.file.".config/mako/config" = {
  text = ''# Colors

background-color=#303446
text-color=#c6d0f5
border-color=#8caaee
progress-color=over #414559

[urgency=high]
border-color=#ef9f76'';
  };



  home.file.".config/waybar/config.jsonc" = {
  text = ''{
    "layer": "top",
    "position": "top",
    "mod": "dock",
    "exclusive": true,
    "passtrough": false,
    "gtk-layer-shell": true,
    "height": 0,
    "modules-left": [
        "clock",
        "hyprland/workspaces"
    ],
    "modules-center": ["hyprland/window"],
    "modules-right": [
        "wlr/taskbar",
        "temperature",
        "cpu",
        "memory",
        "tray"
    ],

    "hyprland/window": {
        "format": "{}"
    },
    "hyprland/workspaces": {
        "on-scroll-up": "hyprctl dispatch workspace e+1",
        "on-scroll-down": "hyprctl dispatch workspace e-1",
        "all-outputs": true,
        "tooltip": true,
        "on-click": "activate"
    },
    "wlr/taskbar": {
        "on-click": "activate",
        "on-click-middle": "close",
        "ignore-list": [
          "foot"
        ]
     },
     "cpu": {
         "interval": 10,
         "format": " {}%",
         "max-length": 10,
         "on-click": ""
     },
     "memory": {
         "interval": 30,
         "format-alt": " {}%",
         "format":" {used:0.1f}G",
         "max-length": 10
     },
    "custom/weather" : {
        "tooltip" : true,
        "format" : "{}",
        "restart-interval" : 300,
        "exec" : "~/.config/waybar/scripts/waybar-wttr.py",
        "return-type" : "json"
    },
    "temperature" : {
        "format": "{temperatureF}°F"
    },
    "tray": {
        "icon-size": 13,
        "tooltip": false,
        "spacing": 10
    },
    "clock": {
        "format":"  {:%R    %d/%m}",
        "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>"
    },
    "pulseaudio": {
        "format": "{icon} {volume}%",
        "tooltip": false,
        "format-muted": " Muted",
        "on-click": "pamixer -t",
        "on-scroll-up": "pamixer -i 5",
        "on-scroll-down": "pamixer -d 5",
        "scroll-step": 5,
        "format-icons": {
            "headphone": "",
            "hands-free": "",
            "headset": "",
            "phone": "",
            "portable": "",
            "car": "",
            "default": ["", "", ""]
        }
    },
    "pulseaudio#microphone": {
        "format": "{format_source}",
        "tooltip": false,
        "format-source": " {volume}%",
        "format-source-muted": " Muted",
        "on-click": "pamixer --default-source -t",
        "on-scroll-up": "pamixer --default-source -i 5",
        "on-scroll-down": "pamixer --default-source -d 5",
        "scroll-step": 5
    }
}
'';
  };
  home.file.".config/waybar/style.css" = {
  text = ''@import "frappe.css";

* {
  font-family: FantasqueSansMono Nerd Font;
  font-size: 17px;
  min-height: 0;
}

#waybar {
  background: transparent;
  color: @text;
  margin: 5px 5px;
}

#workspaces {
  border-radius: 1rem;
  margin: 5px;
  background-color: @surface0;
  margin-left: 1rem;
}

#taskbar {
  border-radius: 1rem;
  margin: 5px;
  background-color: @surface0;
  margin-left: 1rem;
}

#workspaces button {
  color: @lavender;
  border-radius: 1rem;
  padding: 0.4rem;
}

#workspaces button.active {
  color: @sky;
  border-radius: 1rem;
}

#workspaces button:hover {
  color: @sapphire;
  border-radius: 1rem;
}

#custom-music,
#tray,
#backlight,
#clock,
#battery,
#cpu,
#memory,
#temperature,
#pulseaudio,
#custom-lock,
#custom-power {
  background-color: @surface0;
  padding: 0.5rem 1rem;
  margin: 5px 0;
}

#clock {
  color: @blue;
  border-radius: 0px 1rem 1rem 0px;
  margin-right: 1rem;
}

#battery {
  color: @green;
}

#temperature {
    color: @red;
    border-radius: 1rem 0px 0px 1rem;
    margin-left: 1rem;
}

#cpu {
    color: @yellow;
}
#memory {
    color: @green;
}

#battery.charging {
  color: @green;
}

#battery.warning:not(.charging) {
  color: @red;
}

#backlight {
  color: @yellow;
}

#backlight, #battery {
    border-radius: 0;
}

#pulseaudio {
  color: @maroon;
  border-radius: 1rem 0px 0px 1rem;
  margin-left: 1rem;
}

#custom-music {
  color: @mauve;
  border-radius: 1rem;
}

#custom-lock {
    border-radius: 1rem 0px 0px 1rem;
    color: @lavender;
}

#custom-power {
    margin-right: 1rem;
    border-radius: 0px 1rem 1rem 0px;
    color: @red;
}

#tray {
  /*margin-right: 1rem;
  border-radius: 1rem;*/
}'';
  };
  home.file.".config/hypr/frappe.conf" = {
  text = ''$rosewaterAlpha = f2d5cf
$flamingoAlpha  = eebebe
$pinkAlpha      = f4b8e4
$mauveAlpha     = ca9ee6
$redAlpha       = e78284
$maroonAlpha    = ea999c
$peachAlpha     = ef9f76
$yellowAlpha    = e5c890
$greenAlpha     = a6d189
$tealAlpha      = 81c8be
$skyAlpha       = 99d1db
$sapphireAlpha  = 85c1dc
$blueAlpha      = 8caaee
$lavenderAlpha  = babbf1

$textAlpha      = c6d0f5
$subtext1Alpha  = b5bfe2
$subtext0Alpha  = a5adce

$overlay2Alpha  = 949cbb
$overlay1Alpha  = 838ba7
$overlay0Alpha  = 737994

$surface2Alpha  = 626880
$surface1Alpha  = 51576d
$surface0Alpha  = 414559

$baseAlpha      = 303446
$mantleAlpha    = 292c3c
$crustAlpha     = 232634

$rosewater = 0xfff2d5cf
$flamingo  = 0xffeebebe
$pink      = 0xfff4b8e4
$mauve     = 0xffca9ee6
$red       = 0xffe78284
$maroon    = 0xffea999c
$peach     = 0xffef9f76
$yellow    = 0xffe5c890
$green     = 0xffa6d189
$teal      = 0xff81c8be
$sky       = 0xff99d1db
$sapphire  = 0xff85c1dc
$blue      = 0xff8caaee
$lavender  = 0xffbabbf1

$text      = 0xffc6d0f5
$subtext1  = 0xffb5bfe2
$subtext0  = 0xffa5adce

$overlay2  = 0xff949cbb
$overlay1  = 0xff838ba7
$overlay0  = 0xff737994

$surface2  = 0xff626880
$surface1  = 0xff51576d
$surface0  = 0xff414559

$base      = 0xff303446
$mantle    = 0xff292c3c
$crust     = 0xff232634'';
  };
  home.file.".config/waybar/frappe.css" = {
  text = ''/*
*
* Catppuccin Frappe palette
* Maintainer: rubyowo
*
*/

@define-color base   #303446;
@define-color mantle #292c3c;
@define-color crust  #232634;

@define-color text     #c6d0f5;
@define-color subtext0 #a5adce;
@define-color subtext1 #b5bfe2;

@define-color surface0 #414559;
@define-color surface1 #51576d;
@define-color surface2 #626880;

@define-color overlay0 #737994;
@define-color overlay1 #838ba7;
@define-color overlay2 #949cbb;

@define-color blue      #8caaee;
@define-color lavender  #babbf1;
@define-color sapphire  #85c1dc;
@define-color sky       #99d1db;
@define-color teal      #81c8be;
@define-color green     #a6d189;
@define-color yellow    #e5c890;
@define-color peach     #ef9f76;
@define-color maroon    #ea999c;
@define-color red       #e78284;
@define-color mauve     #ca9ee6;
@define-color pink      #f4b8e4;
@define-color flamingo  #eebebe;
@define-color rosewater #f2d5cf;'';
  };
}